import { Validator } from "./Validator";
import { ValidationError } from "./ValidationError";
import { ValidatorOptions } from "./ValidatorOptions";
/**
 * Executes validation over given object.
 */
export declare class ValidationExecutor {
    private validator;
    private validatorOptions;
    private awaitingPromises;
    private metadataStorage;
    constructor(validator: Validator, validatorOptions?: ValidatorOptions);
    execute(object: Object, targetSchema: string, validationErrors: ValidationError[]): Promise<ValidationError[]>;
    private removeEmptyErrors(errors);
    private defaultValidations(object, value, metadatas, errorMap);
    private customValidations(object, value, metadatas, errorMap);
    private nestedValidations(object, value, metadatas, errors);
    private createValidationError(object, value, metadata, customValidatorMetadata?);
}
